<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/

$files = Engine_Api::_()->getDbTable('files', 'core')->getFilesAssoc();

return array(
  array(
    'title' => 'X Clone Theme - Header',
    'description' => 'This widget displays the Header of the website. Place this widget on the site header page.',
    'category' => 'X Clone',
    'type' => 'widget',
    'name' => 'twitterclone.header',
    "autoEdit" => false,
  ),
  array(
    'title' => 'X Clone Theme - Footer',
    'description' => 'This widget displays the Footer of the website. Place this widget on the site footer page.',
    'category' => 'X Clone',
    'type' => 'widget',
    'name' => 'twitterclone.footer',
    "autoEdit" => false,
  ),
  array(
    'title' => 'X Clone Theme - Landing Page',
    'description' => 'This widget displays the Landing Page of the X Clone Theme. Edit this widget to configure the Landing Page settings.',
    'category' => 'X Clone',
    'type' => 'widget',
    'name' => 'twitterclone.landing-page',
    "autoEdit" => true,
    'adminForm' => array(
      'elements' => array(
        array(
          'Select',
          'lightlogo',
          array(
            'label' => 'Choose the light mode logo to be shown in this widget. Note: You can add a new image from the "File & Media Manager" section.',
            'multiOptions' => $files,
            'value' => '',
          )
        ),  
        array(
          'Select',
          'darklogo',
          array(
            'label' => 'Choose the dark mode logo to be shown in this widget. Note: You can add a new image from the "File & Media Manager" section.',
            'multiOptions' => $files,
            'value' => '',
          )
        ),            
        array(
          'Text',
          'title',
          array(
            'label' => 'Enter caption to show in the Title.',
          ),
        ),
        array(
          'Text',
          'subtitle',
          array(
            'label' => 'Enter caption to show in the Subtitle.',
          ),
        ),
      ),
    ),    
  ),
  array(
    'title' => 'X Clone Theme - Dashboard Links',
    'description' => 'This widget displays the enabled dashboard menu links in the sidebar column of the page, place this widget at Member Home Page and Member Profile Page of your website.',
    'category' => 'X Clone',
    'type' => 'widget',
    'name' => 'twitterclone.dashboard-links',
  ),
);
